Bug 838327 - Review Request: spamassassin-iXhash2 - SpamAssassin plugin to lookup e-mail checksums in blacklists
Review Request: spamassassin-iXhash2 - SpamAssassin plugin to lookup e-mail c...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 08:41 EDT by Robert Scheck
Modified: 2012-08-01 14:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 12:59:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2012-07-08 08:41:02 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/spamassassin-iXhash2.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/spamassassin-iXhash2-2.05-1.src.rpm
Description:
iXhash2 is an unofficial improved version of the iXhash spam filter
plugin for SpamAssassin, adding async DNS lookups for performance and
removing unneeded features but fully compatible with the iXhash 1.5.5
(http://www.ixhash.net/) implementation. It computes MD5 checksums of
fragments of the body of an e-mail and compares them to those of known
spam using DNS queries to a RBL-like name server. So it works similar
to the standard plugins that use the Pyzor, Razor and DCC software
packages from within SpamAssassin.


Please keep in mind while reviewing that this package will go to Fedora and
EPEL. It's also intended to replace some inofficial spamassassin-iXhash RPMs
out there from third party repositories.
Comment 1 Kevin Fenzi 2012-07-08 18:19:24 EDT
I might be able to review in a few days... if no one beats me to it. ;)
Comment 2 Kevin Fenzi 2012-07-12 15:46:38 EDT
Look for a review here soon.
Comment 3 Kevin Fenzi 2012-07-12 16:30:10 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (ASL 2.0)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream sha256sum:
8d51fe8661bf407433db6c0fa12e3c6c66a1cd626751f51b170990089dc966a8  iXhash2-2.05.tar.gz
8d51fe8661bf407433db6c0fa12e3c6c66a1cd626751f51b170990089dc966a8  iXhash2-2.05.tar.gz.orig

See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Build seems to fail here: 
+ perldoc iXhash2.pm
/var/tmp/rpm-tmp.X9jg0p: line 43: perldoc: command not found
error: Bad exit status from /var/tmp/rpm-tmp.X9jg0p (%install)

Adding perl-Pod-Perldoc to BuildRequires seems to fix it. 

2. rpmlint says: 

spamassassin-iXhash2.noarch: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
spamassassin-iXhash2.noarch: W: spelling-error Summary(en_US) checksums -> check sums, check-sums, checks
spamassassin-iXhash2.noarch: W: spelling-error %description -l en_US iXhash -> ix hash, ix-hash, hashish
spamassassin-iXhash2.noarch: W: spelling-error %description -l en_US async -> sync, a sync
spamassassin-iXhash2.noarch: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
spamassassin-iXhash2.noarch: W: spelling-error %description -l en_US checksums -> check sums, check-sums, checks
spamassassin-iXhash2.src: W: spelling-error Summary(en_US) lookup -> lockup, hookup, look up
spamassassin-iXhash2.src: W: spelling-error Summary(en_US) checksums -> check sums, check-sums, checks
spamassassin-iXhash2.src: W: spelling-error %description -l en_US iXhash -> ix hash, ix-hash, hashish
spamassassin-iXhash2.src: W: spelling-error %description -l en_US async -> sync, a sync
spamassassin-iXhash2.src: W: spelling-error %description -l en_US lookups -> lockups, hookups, look ups
spamassassin-iXhash2.src: W: spelling-error %description -l en_US checksums -> check sums, check-sums, checks

All can be ignored. 

spamassassin-iXhash2.noarch: W: self-obsoletion spamassassin-iXhash < 1.5.6-1 obsoletes spamassassin-iXhash = 1.5.5-2

Is there a reason for this?

spamassassin-iXhash2.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 13, tab: line 1)

Cosmetic, clean up if you like.
Comment 4 Robert Scheck 2012-07-12 16:50:05 EDT
(In reply to comment #3)
> Adding perl-Pod-Perldoc to BuildRequires seems to fix it. 

Whoops, forgotten. Of course.

> spamassassin-iXhash2.noarch: W: self-obsoletion spamassassin-iXhash <
> 1.5.6-1 obsoletes spamassassin-iXhash = 1.5.5-2
> 
> Is there a reason for this?

Args. No, should be both the same version.

> spamassassin-iXhash2.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line
> 13, tab: line 1)

Not intended...
Comment 5 Robert Scheck 2012-07-12 17:05:53 EDT
I'm using %{_bindir}/perldoc rather perl-Pod-Perldoc due to different packages 
over the different Fedora and EPEL versions.

Spec URL: http://labs.linuxnetz.de/bugzilla/spamassassin-iXhash2.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/spamassassin-iXhash2-2.05-2.src.rpm
Comment 6 Kevin Fenzi 2012-07-12 17:21:02 EDT
ok, looks fine to me. I see no more blockers so this package is APPROVED.
Comment 7 Robert Scheck 2012-07-12 17:27:18 EDT
Kevin, thank you very much for the review.


New Package SCM Request
=======================
Package Name: spamassassin-iXhash2
Short Description: SpamAssassin plugin to lookup e-mail checksums in blacklists
Owners: robert
Branches: f16 f17 el5 el6
InitialCC:
Comment 8 Jason Tibbitts 2012-07-13 19:54:28 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-07-13 20:40:07 EDT
spamassassin-iXhash2-2.05-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spamassassin-iXhash2-2.05-2.fc17
Comment 10 Fedora Update System 2012-07-13 20:40:45 EDT
spamassassin-iXhash2-2.05-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spamassassin-iXhash2-2.05-2.fc16
Comment 11 Fedora Update System 2012-07-13 20:41:09 EDT
spamassassin-iXhash2-2.05-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/spamassassin-iXhash2-2.05-2.el6
Comment 12 Fedora Update System 2012-07-13 20:41:31 EDT
spamassassin-iXhash2-2.05-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/spamassassin-iXhash2-2.05-2.el5
Comment 13 Fedora Update System 2012-07-14 14:30:51 EDT
spamassassin-iXhash2-2.05-2.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 14 Fedora Update System 2012-07-31 12:59:59 EDT
spamassassin-iXhash2-2.05-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2012-07-31 13:00:23 EDT
spamassassin-iXhash2-2.05-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2012-08-01 14:22:47 EDT
spamassassin-iXhash2-2.05-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 17 Fedora Update System 2012-08-01 14:24:36 EDT
spamassassin-iXhash2-2.05-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.